/*
 * Copyright 2010 Trustees of the University of Pennsylvania Licensed under the
 * Educational Community License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License. You may
 * obtain a copy of the License at
 *
 * http://www.osedu.org/licenses/ECL-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS"
 * BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */
package metridoc.plugins.grid

/**
 * Created by IntelliJ IDEA.
 * User: tbarker
 * Date: 9/28/11
 * Time: 3:28 PM
 */
class Field {
    String type
    String name
    private static final String DEFAULT_NULL_STRING = "NULL"
    private static final int DEFAULT_NUMBER_STRING = 0
    String defaultNullString = DEFAULT_NULL_STRING
    int defaultNullNumber = DEFAULT_NUMBER_STRING

    boolean equals(o) {
        if (this.is(o)) return true;
        if (getClass() != o.class) return false;

        Field field = (Field) o;

        if (name != field.name) return false;

        return true;
    }

    int hashCode() {
        return (name != null ? name.hashCode() : 0);
    }


    public String toString ( ) {
    return "Field{" +
    "type='" + type + '\'' +
    ", name='" + name + '\'' +
    ", defaultNullString='" + defaultNullString + '\'' +
    ", defaultNullNumber=" + defaultNullNumber +
    '}' ;
    }}
